<div class="row" align="center">
    <div align="center">
        <h1 class="display-3">Welcome to my photo blog!</h1>
        <p>Enjoy photo of the day every day.</p>

        <table class="table table-striped" width="100%" border="0" cellspacing="0" cellpadding="0">
            <thead align="center" valign="middle">
            <tr>
                <th><span>Title</span></th>
                <th><span>Body</span></th>
                <th><span>Image of the day</span></th>
            </tr>
            </thead>
            <tbody >
            <tr *ngFor="let post of posts">
                <h2>{{post.title}}</h2>
                <td [innerHTML] = "post.body" width="500"></td>
                <p>
                    <a *ngIf="post.image" (click)="openFile(post.imageContentType, post.image)">
                        <img [src]="'data:' + post.imageContentType + ';base64,' + post.image" style="max-height: 400px;"/>
                    </a>
                    <span *ngIf="post.image"></span>
                </p>
            </tr>
            </tbody>
        </table>
    </div>
</div>
